| Talking Reminder this project is intenfed for people who are not tech savvy

Public Member Functions | List of all members
com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.VerticalItemHolder Class Reference
Inheritance diagram for com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.VerticalItemHolder:

## Public Member Functions
| VerticalItemHolder (View itemView, SimpleAdapter adapter)
void | onClick (View view)
boolean | onLongClick (View view)
void | setReminderTitle (String reminderTitle)
void | setReminderDateTime (String datetime)
void | setReminderRepeatInfo (String repeat, String repeatNo, String repeatType)
void | setActiveImage (String active)

## Detailed Description

UI and data class (Adapter) for recycler view items

Definition at line 578 of file MainActivity.java.

## Constructor & Destructor Documentation

## ◆ VerticalItemHolder()

com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.VerticalItemHolder.VerticalItemHolder | ( | View | itemView,
|  | SimpleAdapter | adapter
| ) |  |

Sets up recycler item selector in the context. On long clicks the items should be selected so that user can take actions (like delete) on those items

Parameters

  itemView |
  adapter |

Definition at line 593 of file MainActivity.java.

## Member Function Documentation

## ◆ onClick()

void com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.VerticalItemHolder.onClick | ( | View | view | ) |

On clicking a reminder item

Parameters

  view |

Definition at line 615 of file MainActivity.java.

## ◆ onLongClick()

boolean com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.VerticalItemHolder.onLongClick | ( | View | view | ) |

On long press enter action mode with context menu

Parameters

  view |

Returns

Definition at line 633 of file MainActivity.java.

## ◆ setActiveImage()

void com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.VerticalItemHolder.setActiveImage | ( | String | active | ) |

Set active image as on or off This method is apparently not consistent because on/off behaviour doesn't always work

Parameters

  active |

Definition at line 686 of file MainActivity.java.

## ◆ setReminderDateTime()

void com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.VerticalItemHolder.setReminderDateTime | ( | String | datetime | ) |

Set date and time views

Parameters

  datetime |

Definition at line 664 of file MainActivity.java.

## ◆ setReminderRepeatInfo()

void com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.VerticalItemHolder.setReminderRepeatInfo | ( | String | repeat,
|  | String | repeatNo,
|  | String | repeatType
| ) |  |

Set repeat views

Parameters

  repeat |
  repeatNo |
  repeatType |

Definition at line 674 of file MainActivity.java.

## ◆ setReminderTitle()

void com.sudogeeks.talking_reminder.MainActivity.SimpleAdapter.VerticalItemHolder.setReminderTitle | ( | String | reminderTitle | ) |

Set reminder title view

Parameters

  reminderTitle |

Definition at line 644 of file MainActivity.java.

The documentation for this class was generated from the following file:

- C:/Users/Raushan Raj/StudioProjects/TalkingReminder2/TalkingReminder/app/src/main/java/com/sudogeeks/talking_reminder/MainActivity.java